Install error for rails-widgets


#1

When i am trying to install the rails-widgets on windows vista from
http://wiki.github.com/paolodona/rails-widgets location I get an error.
Please help.
cd myrails-app
ruby script/plugin install git://github.com/paolodona/rails-widgets.git
rake widgets:setup

following is the error

rake aborted!
Don’t know how to build task ‘widgets:setup’

(See full trace by running task with --trace)


Then I tried with the following command
rake widgets:setup --trace

following is the error

rake aborted!
Don’t know how to build task ‘widgets:setup’
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:1704:in []' c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:2026:ininvoke_task’
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:2005:in
top_level' c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:2005:ineach’
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:2005:in
top_level' c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:2044:instandard_exception_handling’
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:1999:in
top_level' c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:1977:inrun’
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:2044:in
standard_exception_handling' c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:1974:inrun’
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/bin/rake:31
c:/ruby/bin/rake:16:in `load’
c:/ruby/bin/rake:16


View this message in context:
http://www.nabble.com/install-error-for-rails-widgets-tp23048157p23048157.html
Sent from the RubyOnRails Users mailing list archive at Nabble.com.


#2

This is what you should see as a result of your plugin install:

/widgets 516 > script/plugin install
git://github.com/paolodona/rails-widgets.git
Initialized empty Git repository in /Users/rick/widgets/vendor/plugins/
rails-widgets/.git/
remote: Counting objects: 78, done.
remote: Compressing objects: 100% (71/71), done.
remote: Total 78 (delta 8), reused 21 (delta 0)
Unpacking objects: 100% (78/78), done.
From git://github.com/paolodona/rails-widgets

  • branch HEAD -> FETCH_HEAD
    cp /Users/rick/widgets/vendor/plugins/rails-widgets/images/
    tooltip_arrow.gif /Users/rick/widgets/public/images/widgets/
    tooltip_arrow.gif
    cp /Users/rick/widgets/vendor/plugins/rails-widgets/images/
    tooltip_image.gif /Users/rick/widgets/public/images/widgets/
    tooltip_image.gif
    cp /Users/rick/widgets/vendor/plugins/rails-widgets/javascripts/
    tooltip.js /Users/rick/widgets/public/javascripts/widgets/tooltip.js

Did you omit this output from your mail message or what? Was any
output produced when you ran the install?


#3

When I executed the install command, I did not get any output. The only
thing
I noticed after investigating my application directory is that, it
created a
directory in vendor/plugins/rails-widgets. However, this directory is
empty.

Thanks,

Rick-13 wrote:

remote: Total 78 (delta 8), reused 21 (delta 0)
tooltip.js /Users/rick/widgets/public/javascripts/widgets/tooltip.js

error.
(See full trace by running task with --trace)
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:2026:in
c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:1974:in `run’


View this message in context:
http://www.nabble.com/install-error-for-rails-widgets-tp23048157p23059621.html
Sent from the RubyOnRails Users mailing list archive at Nabble.com.


#4

Are you running Rails 2.3.2 by any chance? If so, you might need to
patch a file related to “plugin install git…”